Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  api opendoc6 large assembly mode - Absturz?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   api opendoc6 large assembly mode - Absturz? (510 mal gelesen)
Christian_W
Ehrenmitglied V.I.P. h.c.
Konstrukteur (Dipl-Ing)


Sehen Sie sich das Profil von Christian_W an!   Senden Sie eine Private Message an Christian_W  Schreiben Sie einen Gästebucheintrag für Christian_W

Beiträge: 2282
Registriert: 04.04.2001

SWX 2016sp5 WIN7-64
proAlpha6.2e/calinkV9
(Tactonworks)
(Medusa7, NesCAD2010,
solidEdge19) CSWP 12/2015

erstellt am: 20. Sep. 2016 17:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Kollegen,

ich probiere mich gerade an einem Makro in Excel.
- Excel 2010
- swx2012sp5
- win7/64

ich lasse SWX-Dateien öffnen, etwas prüfen und wieder schließen.
Das sollte mit der schnellsten Öffnung schon funktionieren, aber beim Versuch swOpenDocOptions_ViewOnly zu setzen stürzt mir die Verbindung zu SWX ab.

Je nach Dateityp setze ich swOpenOption
Prt: swOpenOption = 1 + 2  ' 1 silent, 2 readonly --> OK
Asm: swOpenOption = 1 + 2 + 128 ' 128 open lightweight --> OK (aber langsam)
Asm: swOpenOption = 1 + 2 + 4  ' 4 large assembly Review mode --> Absturz, auch andere Kombination mit 4
Drw: swOpenOption = 8 ' 8 detached Format.

Der Absturz kommt - nur mit swOpenOption = 4 (5/6/7) - bei meiner Zeile

Set swFile = swApp.OpenDoc6(myFilePathName, myFileTypeCode, swOpenOption, "", fileerror, filewarning)

Dann heisst es:
Laufzeitfehler '-2147417851 (80010105)': Automatisierungsfehler Ausnahmefehler des Servers

mit swOpenOption = 131 funktioniert der Aufruf bei sonst identischem Inhalt.

Mach ich da einen Fehler oder gibt es da ein Problem?
Ich habe in Knowledgebase und Forum noch nichts gefunden ... 

Gruß, Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8756
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 21. Sep. 2016 08:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Christian_W 10 Unities + Antwort hilfreich

Hallo Christian,

ich hab zwar kein SW2012 mehr am Start zum probieren, in 2015 klappt das bei mir aber mit verschiedenen Baugruppen mit so einem Simpletestmakro:

Code:
Sub main()

    Dim swApp      As Object
    Dim Assy        As Object
    Dim status      As Long
    Dim warnings    As Long
   
    Set swApp = Application.SldWorks
   
    Set Assy = swApp.OpenDoc6( _
                  "C:\temp\kolben-zylinder.SLDASM", _
                  swDocASSEMBLY, _
                  swOpenDocOptions_Silent + swOpenDocOptions_ReadOnly + swOpenDocOptions_ViewOnly, _
                  "", _
                  status, _
                  warnings)
   
End Sub



Stürzt das denn bei allen Baugruppen ab, die du so landen willst, oder hast du immer mit derselben das Makro getestet? Ich argwöhne, dass in der Baugruppe schlichtweg die Viewdaten fehlen oder SolidWorks da einen Griff ins Klo macht, ohne den Fehler im API-Call richtig abzufangen. Hast du mal von Hand überprüft, ob du die Baugruppe in der Schnellansicht/Große Konstruktionsprüfung (oder wie es in der 2012 geheißen hat) interaktiv laden kannst?

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christian_W
Ehrenmitglied V.I.P. h.c.
Konstrukteur (Dipl-Ing)


Sehen Sie sich das Profil von Christian_W an!   Senden Sie eine Private Message an Christian_W  Schreiben Sie einen Gästebucheintrag für Christian_W

Beiträge: 2282
Registriert: 04.04.2001

SWX 2016sp5 WIN7-64
proAlpha6.2e/calinkV9
(Tactonworks)
(Medusa7, NesCAD2010,
solidEdge19) CSWP 12/2015

erstellt am: 21. Sep. 2016 10:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

danke schon mal für die Rückmeldung,

von Hand geht es, auch mit SWX2016 (mein Testrechner läuft wieder) habe ich da Probleme.

Ich glaube, ich bin jetzt auf folgende Logik gestoßen:
SWX weigert sich "Prüfung großer Konstruktionen" mit "invisible" zu kombinieren.

Hatte vergessen zu erwähnen, dass ich es vorher auf unsichtbar stelle.

hatte da drin:
  boolstatus = swapp.DocumentVisible(False, swDocASSEMBLY)

habe das jetzt geändert auf:
    swApp.DocumentVisible False, swDocASSEMBLY
   
scheint aber trotzdem nicht zu laufen in der Kombination.

Gruß, Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christian_W
Ehrenmitglied V.I.P. h.c.
Konstrukteur (Dipl-Ing)


Sehen Sie sich das Profil von Christian_W an!   Senden Sie eine Private Message an Christian_W  Schreiben Sie einen Gästebucheintrag für Christian_W

Beiträge: 2282
Registriert: 04.04.2001

SWX 2016sp5 WIN7-64
proAlpha6.2e/calinkV9
(Tactonworks)
(Medusa7, NesCAD2010,
solidEdge19) CSWP 12/2015

erstellt am: 21. Sep. 2016 14:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Noch eine Kleinigkeit,

in der Hilfe steht bei swOpenDocOptions_ViewOnly, dass es nur für Assemblies wäre,
ist aber auch für Zeichnungen die richtige Option ...

Falls es jemand braucht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz